# class TextEncoder

#### package js.html

Available on HTML5

TextEncoder takes a stream of code points as input and emits a stream of bytes. For a more scalable, non-native library, see `StringView` – a C-like representation of strings based on typed arrays.

Documentation TextEncoder by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/TextEncoder

### Constructor

###

`new (utfLabel:String = "utf-8")`

Throws:

`null` | DOMError

### Variables

###

`read onlyencoding:String`

Is a `DOMString` containing the name of the encoder, that is a string describing the method the `TextEncoder` will use.

### Methods

###

`encode (input:String = ""):Uint8Array`

Returns a `Uint8Array` containing utf-8 encoded text.